<?php

$_lang['thumb2x'] = 'Thumb2x';
$_lang['thumb2x_menu_desc'] = 'Thumb2x - On-the-fly image manipulation';
$_lang['thumb2x_intro_msg'] = 'You can select multiple items by holding Shift or Ctrl.';

// System Settings
$_lang['setting_thumb2x.driver'] = 'Processing Driver';
$_lang['setting_thumb2x.driver_desc'] = 'Select the library for image processing. Imagick is more powerful but must be installed on the server. GD is the standard option.';

$_lang['setting_thumb2x.cache_file_rights'] = 'Cache File Permissions';
$_lang['setting_thumb2x.cache_file_rights_desc'] = 'Specify permissions in octal format (e.g., 0644) for generated image files.';
$_lang['setting_thumb2x.cache_dir_rights'] = 'Cache Directory Permissions';
$_lang['setting_thumb2x.cache_dir_rights_desc'] = 'Specify permissions in octal format (e.g., 0755) for created directories in the cache.';

$_lang['setting_thumb2x.source_id'] = 'Image Media Source';
$_lang['setting_thumb2x.source_id_desc'] = 'Select the Media Source where your source images are stored. Defaults to "Filesystem".';


$_lang['thumb2x_tab'] = 'Files';
$_lang['thumb2x_preview'] = 'Preview';
$_lang['thumb2x_source_path'] = 'Source File';
$_lang['thumb2x_dimensions'] = 'Dimensions';
$_lang['thumb2x_filesize'] = 'Size';
$_lang['thumb2x_createdon'] = 'Created On';
$_lang['thumb2x_accessedon'] = 'Accessed On';
$_lang['thumb2x_grid_actions'] = 'Actions';


$_lang['thumb2x_search'] = 'Search...';
$_lang['thumb2x_clear'] = 'Clear';


$_lang['thumb2x_truncate_all'] = 'Clear entire cache';
$_lang['thumb2x_truncate'] = 'Truncate Cache';
$_lang['thumb2x_truncate_confirm'] = 'Are you sure you want to permanently delete ALL generated images and clear the log table?';
$_lang['thumb2x_truncate_success'] = 'Cache cleared successfully.';


$_lang['thumb2x_item_remove'] = 'Remove Item';
$_lang['thumb2x_items_remove'] = 'Remove Items';
$_lang['thumb2x_file_remove_confirm'] = 'Are you sure you want to remove this record? This action will also delete the file from the disk.';
$_lang['thumb2x_files_remove_confirm'] = 'Are you sure you want to remove these records? This action will also delete the files from the disk.';

return $_lang;